INTERFACE
SUBROUTINE m7_coaset&
 & (kidia , kfdia, klon , klev,&
 & paernl, ptp1 , papp1, pm6rp, prhop,&
 & pcom ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YO_AERO_M7,ONLY : bk, nmod, locoagmask
INTEGER(KIND=JPIM),INTENT(IN) :: kidia, kfdia, klon, klev
REAL(KIND=JPRB),INTENT(IN) :: ptp1(klon ,klev), papp1(klon ,klev)
REAL(KIND=JPRB),INTENT(OUT):: pm6rp(klon ,klev,nmod), prhop(klon ,klev,nmod),&
 & paernl(klon ,klev,nmod) 
REAL(KIND=JPRB),INTENT(OUT):: pcom(klon ,klev,nmod,nmod)
END SUBROUTINE m7_coaset
END INTERFACE
